<html>
<body>
<?php

/* Definition der Klasse mitarbeiter */
class mitarbeiter
{
	/* Eigenschaften eines Mitarbeiters */
	private $id;
	private $nachname;
	private $vorname;

	private $bank;
	private $blz;
	private $konto;

	private $stundenlohn;
	private $summe_stunden;

	/* Daten eines Mitarbeiters erzeugen */
	function __construct($info)
	{
		$this->id            = $info[0];
		$this->nachname      = $info[1];
		$this->vorname       = $info[2];
		$this->bank          = $info[3];
		$this->blz           = $info[4];
		$this->konto         = $info[5];
		$this->stundenlohn   = $info[6];
		$this->summe_stunden = 0;
	}

	/* Stunden eines Mitarbeiters erfassen */
	function stunden_erfassen($anzahl)
	{
		$this->summe_stunden += $anzahl;
	}

	/* Scheck eines Mitarbeiters ausdrucken */
	function scheck_ausdruck()
	{
		$summe_lohn = $this->summe_stunden * $this->stundenlohn;
		echo "<br>Scheck:<br>";
		echo "Name: $this->nachname, $this->vorname<br>";
		echo "Konto: $this->konto, BLZ: $this->blz<br>";
		echo "Bank: $this->bank, Betrag: $summe_lohn Euro<br>";
	}

}

/* Definition der Klasse unternehmen */
class unternehmen
{
	/* Eigenschaften eines Unternehmens */
	private $name;
	private $belegschaft;
	private $summe_stunden_unbekannt;

	/* Daten eines Unternehmens erzeugen */
	function __construct($na)
	{
		/* Name der Firma */
		$this->name = $na;
		$this->summe_stunden_unbekannt = 0;

		/* Mitarbeiter-Datei lesen */
		$dp = fopen("ue30_belegschaft.txt", "r");
		$zeile = fgets($dp, 100);
		while(!feof($dp))
		{
			$info = explode(",",$zeile);
			$id = $info[0];
			$this->belegschaft[$id] = new mitarbeiter($info);
			$zeile = fgets($dp, 100);
		}
		fclose($dp);
	}

	/* Stunden-Datei lesen */
	function stunden_erfassen()
	{
		$dp = fopen("ue30_stunden.txt", "r");
		$zeile = fgets($dp, 100);
		while(!feof($dp))
		{
			$info = explode(",",$zeile);
			$id = $info[0];
			if(array_key_exists($id,$this->belegschaft))
				$this->belegschaft[$id]->stunden_erfassen($info[1]);
			else
				$this->summe_stunden_unbekannt += $info[1];
			$zeile = fgets($dp, 100);
		}
		fclose($dp);
	}

	/* Alle Schecks ausdrucken */
	function scheck_ausdruck()
	{
		foreach ($this->belegschaft as $schluessel => $wert)
		{
			$this->belegschaft[$schluessel]->scheck_ausdruck();
		}
	}

}

/* Haupt-Programm */
$un = new unternehmen("MacroHard");
$un->stunden_erfassen();
$un->scheck_ausdruck();

?>
</body>
</html>
